System.DirectoryServices 1.0.5000.0 System.Reflection.AssemblyKeyFile(KeyFile="../msfinal.pub") System.Reflection.AssemblyDelaySign(DelaySign=True) System.Runtime.InteropServices.ComVisible(Value=False) System.Resources.NeutralResourcesLanguage(CultureName="en-US") System.Reflection.AssemblyInformationalVersion(InformationalVersion="0.0.0.1") System.Reflection.AssemblyDefaultAlias(DefaultAlias="System.DirectoryServices.dll") System.CLSCompliant(IsCompliant=True) System.Reflection.AssemblyTrademark(Trademark="") System.Reflection.AssemblyCopyright(Copyright="(c) 2003 Various Authors") System.Reflection.AssemblyProduct(Product="MONO CLI") System.Reflection.AssemblyCompany(Company="MONO development team") System.Reflection.AssemblyConfiguration(Configuration="Development version") System.Reflection.AssemblyDescription(Description="System.DirectoryServices.dll") System.Reflection.AssemblyTitle(Title="System.DirectoryServices.dll") System.Resources.SatelliteContractVersion(Version="1.0.5000.0") System.Enum System.IComparable System.IConvertible System.IFormattable System.Flags
- Field
  System.Int32 To be added. To be added.
- Field
  System.DirectoryServices.AuthenticationTypes Anonymous To be added.

  No authentication is performed.

- Field
  System.DirectoryServices.AuthenticationTypes Delegation To be added.

  Enables Active Directory Services Interface (ADSI) to delegate the user's security context, which is necessary for moving objects across domains.

- Field
  System.DirectoryServices.AuthenticationTypes SecureSocketsLayer To be added.

  Attaches a cryptographic signature to the message that both identifies the sender and ensures that the message has not been modified in transit.

- Field
  System.DirectoryServices.AuthenticationTypes FastBind To be added.

  Specifies that ADSI will not attempt to query the Active Directory Domain Services objectClass property. Therefore, only the base interfaces that are supported by all ADSI objects will be exposed. Other interfaces that the object supports will not be available. A user can use this option to boost the performance in a series of object manipulations that involve only methods of the base interfaces. However, ADSI does not verify if any of the request objects actually exist on the server. For more information, see the topic "Fast Binding Option for Batch Write/Modify Operations" in the MSDN Library at http://msdn.microsoft.com/library. For more information about the objectClass property, see the "Object-Class" topic in the MSDN Library at http://msdn.microsoft.com/library.

- Field
  System.DirectoryServices.AuthenticationTypes None To be added.

  Equates to zero, which means to use basic authentication (simple bind) in the LDAP provider.

- Field
  System.DirectoryServices.AuthenticationTypes ReadonlyServer To be added.

  For a WinNT provider, ADSI tries to connect to a domain controller. For Active Directory Domain Services, this flag indicates that a writable server is not required for a serverless binding.

- Field
  System.DirectoryServices.AuthenticationTypes Sealing To be added.

  Encrypts data using Kerberos. The flag must also be set to use sealing.

- Field
  System.DirectoryServices.AuthenticationTypes Secure To be added.

  Requests secure authentication. When this flag is set, the WinNT provider uses NTLM to authenticate the client. Active Directory Domain Services uses Kerberos, and possibly NTLM, to authenticate the client. When the user name and password are a null reference (Nothing in Visual Basic), ADSI binds to the object using the security context of the calling thread, which is either the security context of the user account under which the application is running or of the client user account that the calling thread is impersonating.

- Field
  System.DirectoryServices.AuthenticationTypes SecureSocketsLayer To be added.

  Attaches a cryptographic signature to the message that both identifies the sender and ensures that the message has not been modified in transit. Active Directory Domain Services requires the Certificate Server be installed to support Secure Sockets Layer (SSL) encryption.

- Field
  System.DirectoryServices.AuthenticationTypes ServerBind To be added.

  If your ADsPath includes a server name, specify this flag when using the LDAP provider. Do not use this flag for paths that include a domain name or for serverless paths. Specifying a server name without also specifying this flag results in unnecessary network traffic.

- Field
  System.DirectoryServices.AuthenticationTypes Signing To be added.

  Verifies data integrity to ensure that the data received is the same as the data sent. The flag must also be set to use signing.

The flag can be used in combination with other flags such as , .

Serverless binding refers to a process in which a client attempts to bind to an Active Directory Domain Services object without explicitly specifying an Active Directory Domain Services server in the binding string, for example:

`LDAP://CN=jsmith,DC=fabrikam,DC=Com`

This is possible because the Lightweight Directory Access Protocol (LDAP) provider relies on the locator services of Windows 2000 to find the best domain controller (DC) for the client. However, the client must have an account on the Active Directory Domain Services domain controller to take advantage of the serverless binding feature, and the domain controller that is used by a serverless bind will always be located in the default domain (the domain associated with the current security context of the thread that's doing the binding).

None of these options are supported by the Novell Netware Directory Service (NDS) system provider.

The enumeration specifies the types of authentication used in . This enumeration has a attribute that allows a bitwise combination of its member values.